#include <stdio.h>
#include <conio.h>
#include "saintsonic.h"

#pragma comment(lib, "..\\saintsonic.lib")

static char* Filename1 = "..\\media\\set-bat1.ogg";
static char* Filename2 = "..\\media\\set-hh.ogg";

int main()
{
	int sw;
	SaintSonic_EnginePtr pEngine = SSW_Initialize( 44100, 2, 16, 50 );
	
	SaintSonic_SoundId a = SSW_PlaySound( pEngine, Filename1 );
	SaintSonic_SoundId b = SSW_PlaySound( pEngine, Filename2 );
	SSW_SetVolume( pEngine, b, 0 );
	
	printf(" press any key to fade sound, Q to finish .. " );
	
	
	while( 1 )
	{
		if( getch() == 'q' )
		{
			break;
		}
		else
		{
			if( sw++ % 2 == 0 )
			{
				SSW_SetFade( pEngine, a, 2000, 1.0, 0.0 );
				SSW_SetFade( pEngine, b, 2000, 0.0, 1.0 );
			}
			else
			{
				SSW_SetFade( pEngine, a, 2000, 0.0, 1.0 );
				SSW_SetFade( pEngine, b, 2000, 1.0, 0.0 );
			}
		}
	}
	
	SSW_Finish( pEngine );
	
	return 0;
}